明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

楼主: zfbj

[讨论]ObjectARX调试问题大搜集

  [复制链接]
发表于 2009-2-21 00:05 | 显示全部楼层
autolisp语言比ObjectArx好学!
发表于 2009-3-1 20:19 | 显示全部楼层
好东西,呵呵
发表于 2009-3-16 20:44 | 显示全部楼层
dd
发表于 2009-5-11 23:01 | 显示全部楼层
新手,学习来了
发表于 2009-7-5 03:17 | 显示全部楼层

此贴很值得收藏啊

学习中~

发表于 2009-11-19 11:11 | 显示全部楼层

在张帆版主的免费书里面,有一个关于AcAxmove函数的使用,

不导入axboiler.h,提示错误  “AcAxMove”: 找不到标识符,,导入axboiler.h又提示
error C2061: 语法错误 : 标识符“AcColor” c:\objectarx 2007\inc\axboiler.h 212 
error C2061: 语法错误 : 标识符“AcColor” c:\objectarx 2007\inc\axboiler.h 215 
error C2061: 语法错误 : 标识符“IAcadAcCmColor” c:\objectarx 2007\inc\axboiler.h 218 
error C2061: 语法错误 : 标识符“IAcadAcCmColor” c:\objectarx 2007\inc\axboiler.h 221 
error C2061: 语法错误 : 标识符“AcShadowDisplayType” c:\objectarx 2007\inc\axboiler.h 236
error C2061: 语法错误 : 标识符“AcShadowDisplayType” c:\objectarx 2007\inc\axboiler.h 23
error C2061: 语法错误 : 标识符“AcExtendOption” c:\objectarx 2007\inc\axboiler.h 310 
error C2061: 语法错误 : 标识符“ACAD_LWEIGHT” c:\objectarx 2007\inc\axboiler.h 319 
error C2061: 语法错误 : 标识符“ACAD_LWEIGHT” c:\objectarx 2007\inc\axboiler.h 322 
error C2061: 语法错误 : 标识符“IAcadHyperlinks” c:\objectarx 2007\inc\axboiler.h 326

下面还有一大堆,不知道怎么解决

发表于 2009-12-3 21:07 | 显示全部楼层

版主你好,我在学习你编写的ObjectARX教程中第4章关于将图层信息保存到文本文件这个例子时,编译出错:'CStdioFile' : undeclared identifier。我加入头文件<afx.h>又有另外的错误:#error WINDOWS.H already included.  MFC apps must not #include <windows.h>。很是苦恼啊,请版主帮忙解决。我刚学。。

发表于 2010-1-31 13:40 | 显示全部楼层
好东西,呵呵
发表于 2010-12-11 17:55 | 显示全部楼层
我也是学习例子发现一个错误;
error C3867: 'CArxTestApp::myCreateLine': function call missing argument list; use '&CArxTestApp::myCreateLine' to create a pointer to member
有没有人遇到这个错误。我是按照例子来的。
说是因为什么参数传递错误。但是
//画直线
        void myCreateLine()
        {
                //在内存上创建一个新的AcDbLine对象
                AcGePoint3d ptStart(0,0,0);
                AcGePoint3d ptEnd(100,100,0);
                AcDbLine *pLine=new AcDbLine(ptStart,ptEnd);
                //获取指向块表的指针
                AcDbBlockTable *pBlockTable;
                acdbHostApplicationServices()->workingDatabase()->getBlockTable(pBlockTable,AcDb::kForRead);
                //获得指向特定的块表记录(模型空间)的指针
                AcDbBlockTableRecord* pBlockTableRecord;
                pBlockTable->getAt(ACDB_MODEL_SPACE,pBlockTableRecord,AcDb::kForWrite);
                //将AcDbline类的对象添加到块表记录中
                AcDbObjectId lineId;
                pBlockTableRecord->appendAcDbEntity(lineId,pLine);
                //关闭图形数据库的各种对象
                pBlockTable->close();
                pBlockTableRecord->close();
                pLine->close();
        }

        //画圆
        void myCreateCircle()
        {
                //在内存上创建一个新的AcDbLine对象
                AcGePoint3d ptCenter(0,0,0);
                AcGeVector3d normal(0.0,0.0,1.0);
                double fRadius=25;
                //AcDbCircle *pCircle=new AcDbCircle(ptCenter,normal,fRadius);
                AcDbCircle *pCircle=new AcDbCircle();
                pCircle->setCenter(ptCenter);
                pCircle->setRadius(fRadius);
                //获取指向块表的指针
                AcDbBlockTable *pBlockTable;
                acdbHostApplicationServices()->workingDatabase()->getBlockTable(pBlockTable,AcDb::kForRead);
                //获得指向特定的块表记录(模型空间)的指针
                AcDbBlockTableRecord* pBlockTableRecord;
                pBlockTable->getAt(ACDB_MODEL_SPACE,pBlockTableRecord,AcDb::kForWrite);
                //将AcDbCircle类的对象添加到块表记录中
                AcDbObjectId circleId;
                pBlockTableRecord->appendAcDbEntity(circleId,pCircle);
                //关闭图形数据库的各种对象
                pBlockTable->close();
                pBlockTableRecord->close();
                pCircle->close();
        }
这个函数没有参数啊怎么回事啊。
发表于 2011-5-31 13:57 | 显示全部楼层
照着一个文档些的程序,编译后出现这个问题hello.def : error LNK2001: unresolved external symbol acrxGetApiversion
Debug/Hello1.lib : fatal error LNK1120: 1 unresolved externals
LINK : fatal error LNK1141: failure during build of exports file
不知道什么意思,请高人解答。
还有 在CAD中加载arx文件时找不到arx文件  当时是在c+中新建arx文件啊 是编译没通过所以没生成ARX
文件吗  请指教
sos!!!
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2018-4-25 12:47 , Processed in 0.295367 second(s), 21 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表